#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>
 
const char* ssid = "MYWIFI";
const char* password = "12345678";
 
void setup () {
 
  Serial.begin(115200);
  WiFi.begin(ssid, password);
 
  while (WiFi.status() != WL_CONNECTED) {
 
    delay(1000);
    Serial.println("Connecting..");
 
  }
 
}
 
void loop() {
 
  if (WiFi.status() == WL_CONNECTED) { //Check WiFi connection status
 
    HTTPClient http;  //Declare an object of class HTTPClient
 
    http.begin("http://api.thingspeak.com/apps/thinghttp/send_request?api_key=YAOX15VANMLMYH4S");  //Specify request destination
    int httpCode = http.GET();                                                                  //Send the request
 
    if (httpCode > 0) { //Check the returning code
 
      String payload = http.getString(); //Get the request response payload
      String todaydate = payload.substring(62,76);
      String todayco2 = payload.substring(118,128);
      Serial.print(todaydate);
      Serial.print(" CO2 Level: "); //Print the response payload
      Serial.println(todayco2);
      httpCode == 0;
      
 
    }

    http.begin("http://api.thingspeak.com/apps/thinghttp/send_request?api_key=3TKGGW5Z5CHH7G0S");  //Specify request destination
    httpCode = http.GET();                                                                  //Send the request
 
    if (httpCode > 0) { //Check the returning code
 
      String payload = http.getString();
          String agodate = payload.substring(36,50);
      String agoco2 = payload.substring(92,99);//Get the request response payload
         Serial.print(agodate);
      Serial.print(" CO2 Level: "); //Print the response payload
      Serial.println(agoco2);                    //Print the response payload
 
    }
 
    http.end();   //Close connection
 
  }
 
  delay(30000);    //Send a request every 30 seconds
 
}
